Bug 182682 - [WinCairo] WebKit2_C.h should be included for TestWebKit
Summary: [WinCairo] WebKit2_C.h should be included for TestWebKit
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKit2 (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Nobody
URL:
Keywords: InRadar
Depends on:
Blocks: 174003
  Show dependency treegraph
 
Reported: 2018-02-11 21:43 PST by Yousuke Kimoto
Modified: 2018-02-26 11:10 PST (History)
10 users (show)

See Also:


Attachments
Patch (1.08 KB, patch)
2018-02-11 21:47 PST, Yousuke Kimoto
ews: commit-queue-
Details | Formatted Diff | Diff
Archive of layout-test-results from ews206 for win-future (11.49 MB, application/zip)
2018-02-12 00:14 PST, Build Bot
no flags Details
bz182682-2.patch (1.93 KB, patch)
2018-02-13 05:10 PST, Yousuke Kimoto
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuke Kimoto 2018-02-11 21:43:28 PST
WinCairo WebKit requires WebKIt2_C.h to build TestWebKit.
Comment 1 Yousuke Kimoto 2018-02-11 21:47:37 PST
Created attachment 333579 [details]
Patch
Comment 2 Yousuke Kimoto 2018-02-11 23:38:04 PST
Since WebKit2_C is needed to be included in case of the wincairo webkit build, an option to specify the build mode is required. I'll fix the issue.
Comment 3 Build Bot 2018-02-12 00:14:13 PST
Comment on attachment 333579 [details]
Patch

Attachment 333579 [details] did not pass win-ews (win):
Output: http://webkit-queues.webkit.org/results/6461547

New failing tests:
http/tests/preload/onerror_event.html
Comment 4 Build Bot 2018-02-12 00:14:23 PST
Created attachment 333584 [details]
Archive of layout-test-results from ews206 for win-future

The attached test failures were seen while running run-webkit-tests on the win-ews.
Bot: ews206  Port: win-future  Platform: CYGWIN_NT-6.1-2.9.0-0.318-5-3-x86_64-64bit
Comment 5 Yousuke Kimoto 2018-02-13 05:10:40 PST
Created attachment 333683 [details]
bz182682-2.patch
Comment 6 Yusuke Suzuki 2018-02-22 19:31:54 PST
Comment on attachment 333683 [details]
bz182682-2.patch

View in context: https://bugs.webkit.org/attachment.cgi?id=333683&action=review

> Tools/TestWebKitAPI/config.h:64
> +#if !PLATFORM(IOS) && !defined(BUILDING_JSCONLY__) && (!PLATFORM(WIN) || defined(BUILDING_WIN_CAIRO_WEBKIT))

Why doesn't `PLATFORM(WIN_CAIRO)` work?
Comment 7 Yousuke Kimoto 2018-02-23 01:53:23 PST
(In reply to Yusuke Suzuki from comment #6)
> > Tools/TestWebKitAPI/config.h:64
> > +#if !PLATFORM(IOS) && !defined(BUILDING_JSCONLY__) && (!PLATFORM(WIN) || defined(BUILDING_WIN_CAIRO_WEBKIT))
> 
> Why doesn't `PLATFORM(WIN_CAIRO)` work?
"PLATFORM(WIN_CAIRO)" is used by both WinCairo WebKitLegacy and WebKit but WinCairo WebKit is an optional build mode for now.
In addition, the WinCairo's EWS configuration is dedicated for WebKitLegacy. The EWS will fail during building TestWebKitAPI due to including "WebKIt/WebKit2_C.h" which cannot be referred in the configuration.

To avoid such failure, "WebKit/WebKit2_C.h" should be included only for WinCairo WebKit. That is why "BUILDING_WIN_CAIRO_WEBKIT" is newly defined. We need the definition until when we establish to build WinCairo WebKit stably.
Comment 8 Yusuke Suzuki 2018-02-23 06:03:30 PST
Comment on attachment 333683 [details]
bz182682-2.patch

View in context: https://bugs.webkit.org/attachment.cgi?id=333683&action=review

>> Tools/TestWebKitAPI/config.h:64
>> +#if !PLATFORM(IOS) && !defined(BUILDING_JSCONLY__) && (!PLATFORM(WIN) || defined(BUILDING_WIN_CAIRO_WEBKIT))
> 
> Why doesn't `PLATFORM(WIN_CAIRO)` work?

OK, so please note that we will remove `BUILDING_WIN_CAIRO_WEBKIT` once WinCairo WebKit is done (and non optional).
Comment 9 Yousuke Kimoto 2018-02-23 07:19:55 PST
(In reply to Yusuke Suzuki from comment #8)
> >> Tools/TestWebKitAPI/config.h:64
> >> +#if !PLATFORM(IOS) && !defined(BUILDING_JSCONLY__) && (!PLATFORM(WIN) || defined(BUILDING_WIN_CAIRO_WEBKIT))
> > 
> > Why doesn't `PLATFORM(WIN_CAIRO)` work?
> 
> OK, so please note that we will remove `BUILDING_WIN_CAIRO_WEBKIT` once
> WinCairo WebKit is done (and non optional).
Sure, we'll do that.
Thank you for your review!
Comment 10 WebKit Commit Bot 2018-02-26 11:08:38 PST
Comment on attachment 333683 [details]
bz182682-2.patch

Clearing flags on attachment: 333683

Committed r229029: <https://trac.webkit.org/changeset/229029>
Comment 11 WebKit Commit Bot 2018-02-26 11:08:40 PST
All reviewed patches have been landed.  Closing bug.
Comment 12 Radar WebKit Bug Importer 2018-02-26 11:10:03 PST
<rdar://problem/37908607>